<?php 
require_once('../modelos/Location.php');

$persona=new Location();

$idpersona=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$iddireccion=isset($_POST["iddireccion"])? limpiarCadena($_POST["iddireccion"]):"";
$description=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$address=isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";
$fiscal=isset($_POST["fiscal"])? limpiarCadena($_POST["fiscal"]):"";
$latitude=isset($_POST["latitud"])? limpiarCadena($_POST["latitud"]):"";
$longitude=isset($_POST["longitud"])? limpiarCadena($_POST["longitud"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($iddireccion))
      {
        $rspta=$persona->insertar($idpersona,$description,$address,$fiscal,$latitude,$longitude);
        echo $rspta ? "Localizacion Registrado" : "Localizacion no se pudo registrar";
      }
      else {
          $rspta=$persona->editar($iddireccion,$idpersona,$description,$address,$fiscal,$latitude,$longitude);
          echo $rspta ? "Localizacion Actualizada" : "Localizacion no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$persona->mostrar($iddireccion);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$persona->eliminar($iddireccion);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarlocation':
      $idpersona=$_REQUEST["idpersona"];
      $rspta=$persona->listarlocation($idpersona);
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
     
        $data[]=array(
          "0"=>$reg->address,
          "1"=>$reg->description,
          "2"=>$reg->fiscal,
          "3"=>$reg->latitude,
          "4"=>$reg->longitude,          
          "5"=>'<a href="edit.php?iddireccion=' . $reg->iddireccion . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
               ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->iddireccion . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

}

?>